Bug 1303015 - [devexp_public_843]Failed to recognize secret location when destinationDir defined via oc new-build --build-secret
[devexp_public_843]Failed to recognize secret location when destinationDir de...
Product: OpenShift Origin
Classification: Red Hat
Component: Build (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Slava Semushin
Wenjing Zheng
Depends On:
  Show dependency treegraph
Reported: 2016-01-29 05:04 EST by Wenjing Zheng
Modified: 2016-05-12 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-12 13:11:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wenjing Zheng 2016-01-29 05:04:34 EST
Description of problem:
Build failed when descrinationDir defined via build-secret:
Step 10 : ADD ./mysecret1 /secrets
F0129 09:45:26.008644       1 builder.go:185] Error: build error: mysecret1: no such file or directory

Version-Release number of selected component (if applicable):
openshift v1.1.1-287-g313292a
kubernetes v1.2.0-alpha.4-851-g4a65fa1
etcd 2.2.2

How reproducible:

Steps to Reproduce:
1. Create a project
2. Create two secrets
3. Create resources
$oc new-build --image=ruby:2.2 https://github.com/wzheng1/build-secret.git --strategy=docker --build-secret testsecret1:mysecret1 --build-secret testsecret2
4. Check build status and build log

Actual results:
Below warning appears:
Step 10 : ADD ./mysecret1 /secrets
F0129 09:45:26.008644       1 builder.go:185] Error: build error: mysecret1: no such file or directory

Expected results:
Build should succeed.

Additional info:
Comment 1 Michal Fojtik 2016-01-29 05:11:46 EST
Just tried the steps on latest master, got: https://gist.github.com/mfojtik/5707899c2c14363c11de

Can we re-test this on latest AMI when it will be build?
Comment 2 Michal Fojtik 2016-01-29 05:18:15 EST
Slava can actually reproduce this. Note that I have to create the 2 secrets first. I changed the "name" of the secrets to "testsecret1" and "testsecret2".
Comment 3 Slava Semushin 2016-02-01 07:12:30 EST
This happens because of using outdated builder image. After rebuilding images (make release) and re-running Openshift with --latest-images options the build finished successfully.
Comment 4 Wenjing Zheng 2016-02-01 22:12:58 EST
Yes, after adding --latest-images options when running openshift, build is successful, so verifying this bug now.

Note You need to log in before you can comment on or make changes to this bug.